import LocalAddress = require("./LocalAddress");
declare namespace UdsAddress {
    interface UdsAddressMembers {
        path: string;
    }
}
/**
 * This is the generated struct type UdsAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Fri Feb 03 17:15:52 CET 2023
 * <br/><br/>Unix domain socket server address
 */
declare class UdsAddress extends LocalAddress {
    static _typeName: string;
    _typeName: string;
    /**
     * Unix domain socket server path
     */
    path: string;
    /**
     * @param members - an object containing the individual member elements
     * @param members.path - Unix domain socket server path
     */
    constructor(members: UdsAddress.UdsAddressMembers);
    static checkMembers(_instance: UdsAddress, _check: Function): void;
    /**
     * The MAJOR_VERSION of the struct type UdsAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the struct type UdsAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    static readonly _memberTypes: Record<string, string>;
    static getMemberType(memberName: string): string | undefined;
}
export = UdsAddress;
