"use strict";
const JoynrEnum = require("../../../joynr/types/JoynrEnum");
/**
 * This is the generated enum type ProviderScope: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * Generation date: Fri Feb 03 17:15:52 CET 2023
 * 	* <br/><br/>the scope in which the provider is registered
 */
class ProviderScope extends JoynrEnum {
    constructor({ name, value }) {
        super(name, value);
        this._typeName = "joynr.types.ProviderScope";
    }
}
ProviderScope._typeName = "joynr.types.ProviderScope";
/**
 * The MAJOR_VERSION of the enum type ProviderScope is GENERATED FROM THE INTERFACE DESCRIPTION
 */
ProviderScope.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the enum type ProviderScope is GENERATED FROM THE INTERFACE DESCRIPTION
 */
ProviderScope.MINOR_VERSION = 0;
/**
 * <br/><br/>indicates that the provider should be registered locally and globally.
 * An add will be performed in the global capabilities directory.
 */
ProviderScope.GLOBAL = new ProviderScope({
    name: "GLOBAL",
    value: "GLOBAL"
});
/**
 * <br/><br/>indicates that the provider is only for use with the local cluster
 * controller.
 */
ProviderScope.LOCAL = new ProviderScope({
    name: "LOCAL",
    value: "LOCAL"
});
module.exports = ProviderScope;
