import JoynrEnum = require("../../../../joynr/types/JoynrEnum");
declare namespace WebSocketProtocol {
    type WebSocketProtocolNames = "WS" | "WSS";
}
/**
 * This is the generated enum type WebSocketProtocol: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * Generation date: Fri Feb 03 17:15:52 CET 2023
 * 	* <br/><br/>Websocket protocol type
 */
declare class WebSocketProtocol extends JoynrEnum<WebSocketProtocol.WebSocketProtocolNames> {
    static _typeName: string;
    _typeName: string;
    constructor({ name, value }: {
        name: WebSocketProtocol.WebSocketProtocolNames;
        value: WebSocketProtocol.WebSocketProtocolNames | number;
    });
    /**
     * The MAJOR_VERSION of the enum type WebSocketProtocol is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the enum type WebSocketProtocol is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    /**
     * <br/><br/>Websocket (non-secure)
     */
    static WS: WebSocketProtocol;
    /**
     * <br/><br/>Websocket (secure)
     */
    static WSS: WebSocketProtocol;
}
export = WebSocketProtocol;
