import JoynrCompound = require("../../../joynr/types/JoynrCompound");
declare namespace CustomParameter {
    interface CustomParameterMembers {
        name: string;
        value: string;
    }
}
/**
 * This is the generated struct type CustomParameter: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Fri Feb 03 17:15:52 CET 2023
 * <br/><br/>a custom parameter consisting of a name and a value
 */
declare class CustomParameter extends JoynrCompound {
    static _typeName: string;
    _typeName: string;
    /**
     * the name of the custom parameter
     */
    name: string;
    /**
     * the value of the custom parameter
     */
    value: string;
    /**
     * @param members - an object containing the individual member elements
     * @param members.name - the name of the custom parameter
     * @param members.value - the value of the custom parameter
     */
    constructor(members: CustomParameter.CustomParameterMembers);
    static checkMembers(_instance: CustomParameter, _check: Function): void;
    /**
     * The MAJOR_VERSION of the struct type CustomParameter is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the struct type CustomParameter is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    static readonly _memberTypes: Record<string, string>;
    static getMemberType(memberName: string): string | undefined;
}
export = CustomParameter;
